Subject: bug#51826: closed (Re: bug#51826: qt packages (e.g. pcmanfm-qt) missing wayland qt module)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Mar 2023 00:42:02 +0000

Your bug report

#51826: qt packages (e.g. pcmanfm-qt) missing wayland qt module

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51826: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51826
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51826: qt packages (e.g. pcmanfm-qt) missing wayland qt module
From: Maxim Cournoyer <[email-masked]>
To: "bdju" <[email-masked]>
Cc: Josselin Poiret <[email-masked]>, Efraim Flashner <[email-masked]>, Genevieve <[email-masked]>, [email-masked]
Date: Tue, 28 Mar 2023 20:41:38 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

"bdju" <[email-masked]> writes:

> I am running Guix System with Sway
> guix (GNU Guix) 33a80e111096b05af3d60576dfcb2d67099dc60e
>
> Running `QT_QPA_PLATFORM=wayland pcmanfm-qt` results in failure to
> launch and the following errors:
>
> ```
> 21:50:38.413|qt.qpa.plugin|W|Could not find the Qt platform plugin "wayland" in ""
> 21:50:38.413|default|F|This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.
>
> Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, xcb.
>
> zsh: abort      QT_QPA_PLATFORM=wayland pcmanfm-qt

I believe the modern manifestation of this problem was #57742, now fixed
on the staging branch (see commit e4ef2db8fda85a469a6fc89bf3c46c9d7e8d44ea).

-- 
Thanks,
Maxim

Subject: qt packages (e.g. pcmanfm-qt) missing wayland qt module
From: "bdju" <[email-masked]>
To: <[email-masked]>
Date: Sat, 13 Nov 2021 21:59:27 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I am running Guix System with Sway
guix (GNU Guix) 33a80e111096b05af3d60576dfcb2d67099dc60e

Running `QT_QPA_PLATFORM=wayland pcmanfm-qt` results in failure to
launch and the following errors:

```
21:50:38.413|qt.qpa.plugin|W|Could not find the Qt platform plugin "wayland" in ""
21:50:38.413|default|F|This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem.

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, xcb.

zsh: abort      QT_QPA_PLATFORM=wayland pcmanfm-qt
```

Due to this problem, I cannot set this env var for my whole profile or
many programs will break. This means they run with xwayland instead of
native wayland. I have run some of these same programs on another
distro (postmarketOS on a Pinebook Pro) and found they run in Sway.

I believe this is likely a packaging issue with qt stuff.